Firefox 59.0.3 corrige el problema de compatibilidad de Windows 10 de abril de 2018

Los usuarios de Firefox que ejecutan la versión estable del navegador web y planean actualizar a la Abril de 2018 Versión de actualización de Windows 10 En los próximos días, es posible que desee asegurarse de que el navegador web esté actualizado a la versión 59.0.3 para evitar problemas de compatibilidad.

Microsoft planea publicar enlaces de descarga y opciones de descarga para el nuevo actualización de funciones para Windows 10 hoy. De hecho, algunos de los enlaces ya están activos y los usuarios pueden descargar las imágenes ISO para instalar la última actualización de funciones para el sistema operativo en las máquinas de destino.



Si bien Firefox se ejecutará en máquinas que ejecuten la actualización de Windows 10 de abril de 2018, los usuarios pueden tener problemas de compatibilidad en los sitios web que abren en el navegador cuando ejecutan Windows 10 versión 1803.

Conforme a un informe de error en Bugzilla, el sitio web de seguimiento de errores de Mozilla, los sitios que usan un código específico arrojan el mensaje de error 'bandera de expresión regular no válida'. Otro sitio arrojó un 'error fatal' al cargar. Los errores solo se producen si Firefox 59.0.2 o anterior se ejecuta en sistemas Windows 10 versión 1803.

firefox error

Firefox no se ve afectado en versiones anteriores de Windows. El problema afecta solo a Firefox, Stable, ESR y Developer Edition, y no a otros navegadores como Chrome o Edge, según Brian Duke, quien informó el problema a Mozilla.



Intenté replicar el problema en Pale Moon y el error no se produjo en una máquina con Windows 10 versión 1803.

David Major descubrió por qué Firefox en Windows 10 versión 1803 arroja errores, mientras que la misma versión de Firefox en versiones anteriores no.

Cuando analizamos los indicadores de expresiones regulares aquí: https://searchfox.org/mozilla-central/rev/7ccb618f45a1398e31a086a009f87c8fd3a790b6/js/src/frontend/TokenStream.cpp#2002

Después de la 'g' enviamos EOF a través de ucrtbase! Isalpha (a través de JS7_ISLET: https://searchfox.org/mozilla-central/rev/7ccb618f45a1398e31a086a009f87c8fd3a790b6/js/src/util/Text.h#39)

Bajo 17133.1, ucrtbase! Isalpha (-1) devuelve verdadero (al menos en la configuración regional en inglés), y desecha la lógica de nuestro analizador. Bajo 16299, ucrtbase! Isalpha (-1) devolvió falso.

No está claro qué tan amplio es el problema, pero parece ser lo suficientemente importante como para que Mozilla lance una actualización para Firefox Stable y Firefox ESR poco antes del lanzamiento de la próxima versión principal de Firefox (Firefox 60 y Firefox 60 ESR).

firefox 59.0.3

Mozilla planea lanzar la nueva versión de Firefox hoy a través de los canales de actualización del navegador. Cuando descarga Firefox ahora mismo usando el instalador de código auxiliar del sitio web de Mozilla, ya obtiene la nueva versión 59.0.3 que tiene el problema solucionado.



Puede ejecutar una comprobación de actualizaciones seleccionando Ayuda> Menú> Acerca de Firefox en el navegador. Puede consultar las notas de la versión aquí.